Bug 344278 - deco kcm segfault in KDecoration2::Decoration::update()
Summary: deco kcm segfault in KDecoration2::Decoration::update()
Status: RESOLVED FIXED
Alias: None
Product: kwin
Classification: Unclassified
Component: decorations (show other bugs)
Version: 5.4.0
Platform: unspecified Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: KWin default assignee
URL: https://git.reviewboard.kde.org/r/125...
Keywords: drkonqi
: 344545 345465 345706 345923 346204 346269 346461 346490 346582 346623 346645 346682 346694 346720 346816 346829 346939 347002 347090 347091 347193 347279 347398 347522 347561 347680 347771 348142 348287 348294 348379 348498 348572 348669 348816 348832 349041 349300 349305 349511 349927 350063 350084 350126 350150 350265 350358 350442 350545 350580 350662 350847 350889 350925 351002 351342 351357 351389 351477 351510 351728 351903 352032 352079 352169 352202 352486 352793 352871 352995 353046 353416 353546 353862 354399 354609 354624 354712 354878 355113 355125 355222 355542 355613 355692 355712 356126 356281 357148 357203 358616 359326 363083 (view as bug list)
Depends on:
Blocks:
 
Reported: 2015-02-17 15:52 UTC by Anthony Towler
Modified: 2016-05-16 11:58 UTC (History)
82 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.4.3
mgraesslin: ReviewRequest+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Anthony Towler 2015-02-17 15:52:01 UTC
Application: systemsettings5 (5.2.0)

Qt Version: 5.4.0
Operating System: Linux 3.16.0-30-generic x86_64
Distribution: Netrunner 15 (Prometheus)

-- Information about the crash:
This is in stock Netrunner 15 with no extra themes installed

The crash can be reproduced every time.

-- Backtrace:
Application: System Settings (systemsettings5), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f092fd507c0 (LWP 2855))]

Thread 5 (Thread 0x7f091f16a700 (LWP 2856)):
#0  0x00007f092c4e23dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f092b234b72 in ?? () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f092b23664f in xcb_wait_for_event () from /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f0921f25f69 in QXcbEventReader::run (this=0x21a18f0) at qxcbconnection.cpp:1111
#4  0x00007f092cb69e4e in QThreadPrivate::start (arg=0x21a18f0) at thread/qthread_unix.cpp:337
#5  0x00007f092a1520a5 in start_thread (arg=0x7f091f16a700) at pthread_create.c:309
#6  0x00007f092c4ec88d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 4 (Thread 0x7f08fddf7700 (LWP 4085)):
#0  0x00007fffaa5fcbe7 in clock_gettime ()
#1  0x00007f092c4fabad in __GI___clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f092cc1e9b6 in qt_clock_gettime (ts=0x7f08fddf6b40, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:120
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:176
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:185
#5  0x00007f092cdf7d69 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f08ec006f60) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f092cdf82d5 in QTimerInfoList::timerWait (this=0x7f08ec006f60, tm=...) at kernel/qtimerinfo_unix.cpp:379
#7  0x00007f092cdf96ae in timerSourcePrepareHelper (timeout=0x7f08fddf6c14, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f08fddf6c14) at kernel/qeventdispatcher_glib.cpp:160
#9  0x00007f0929c3246d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f0929c32e0b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f0929c32ffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f092cdfa28c in QEventDispatcherGlib::processEvents (this=0x7f08ec016330, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#13 0x00007f092cda08d2 in QEventLoop::exec (this=this@entry=0x7f08fddf6de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f092cb65074 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#15 0x00007f0906ca52c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#16 0x00007f092cb69e4e in QThreadPrivate::start (arg=0x329dde0) at thread/qthread_unix.cpp:337
#17 0x00007f092a1520a5 in start_thread (arg=0x7f08fddf7700) at pthread_create.c:309
#18 0x00007f092c4ec88d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 3 (Thread 0x7f08fcbe8700 (LWP 4086)):
#0  0x00007fffaa5fcbe7 in clock_gettime ()
#1  0x00007f092c4fabad in __GI___clock_gettime (clock_id=<optimized out>, tp=<optimized out>) at ../sysdeps/unix/clock_gettime.c:115
#2  0x00007f092cc1e9b6 in qt_clock_gettime (ts=0x7f08fcbe7b40, clock=<optimized out>) at tools/qelapsedtimer_unix.cpp:120
#3  do_gettime (frac=<synthetic pointer>, sec=<synthetic pointer>) at tools/qelapsedtimer_unix.cpp:176
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:185
#5  0x00007f092cdf7d69 in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f08f813a9d0) at kernel/qtimerinfo_unix.cpp:84
#6  0x00007f092cdf82d5 in QTimerInfoList::timerWait (this=0x7f08f813a9d0, tm=...) at kernel/qtimerinfo_unix.cpp:379
#7  0x00007f092cdf96ae in timerSourcePrepareHelper (timeout=0x7f08fcbe7c14, src=<optimized out>) at kernel/qeventdispatcher_glib.cpp:127
#8  timerSourcePrepare (source=<optimized out>, timeout=0x7f08fcbe7c14) at kernel/qeventdispatcher_glib.cpp:160
#9  0x00007f0929c3246d in g_main_context_prepare () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f0929c32e0b in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f0929c32ffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#12 0x00007f092cdfa28c in QEventDispatcherGlib::processEvents (this=0x7f08f8019450, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#13 0x00007f092cda08d2 in QEventLoop::exec (this=this@entry=0x7f08fcbe7de0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#14 0x00007f092cb65074 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:503
#15 0x00007f0906ca52c5 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#16 0x00007f092cb69e4e in QThreadPrivate::start (arg=0x2d00870) at thread/qthread_unix.cpp:337
#17 0x00007f092a1520a5 in start_thread (arg=0x7f08fcbe8700) at pthread_create.c:309
#18 0x00007f092c4ec88d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 2 (Thread 0x7f090cc92700 (LWP 4087)):
#0  pthread_cond_wait@@GLIBC_2.3.2 () at ../nptl/sysdeps/unix/sysv/linux/x86_64/pthread_cond_wait.S:185
#1  0x00007f092cb6afab in wait (time=18446744073709551615, this=0x3118ac0) at thread/qwaitcondition_unix.cpp:128
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x35cd5e0, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:200
#3  0x00007f0906766d6b in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#4  0x00007f0906767160 in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#5  0x00007f092cb69e4e in QThreadPrivate::start (arg=0x35cd560) at thread/qthread_unix.cpp:337
#6  0x00007f092a1520a5 in start_thread (arg=0x7f090cc92700) at pthread_create.c:309
#7  0x00007f092c4ec88d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:111

Thread 1 (Thread 0x7f092fd507c0 (LWP 2855)):
[KCrash Handler]
#5  0x00007f092c7b0858 in main_arena () from /lib/x86_64-linux-gnu/libc.so.6
#6  0x00007f09061c76e1 in KDecoration2::Decoration::update(QRect const&) () from /usr/lib/x86_64-linux-gnu/libkdecorations2.so.5
#7  0x00007f09061c775b in KDecoration2::Decoration::update() () from /usr/lib/x86_64-linux-gnu/libkdecorations2.so.5
#8  0x00007f0902eb6470 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/breezedecoration.so
#9  0x00007f0902ed5c38 in ?? () from /usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/breezedecoration.so
#10 0x00007f092cb4ad7a in updateProperty (newValue=..., this=0x25c1cd0) at animation/qpropertyanimation.cpp:135
#11 QPropertyAnimation::updateCurrentValue (this=<optimized out>, value=...) at animation/qpropertyanimation.cpp:242
#12 0x00007f092cb46258 in QVariantAnimationPrivate::setCurrentValueForProgress (this=this@entry=0x25c1cd0, progress=progress@entry=0.96444444444444444) at animation/qvariantanimation.cpp:290
#13 0x00007f092cb474db in recalculateCurrentInterval (force=false, this=0x25c1cd0) at animation/qvariantanimation.cpp:275
#14 QVariantAnimation::updateCurrentTime (this=<optimized out>) at animation/qvariantanimation.cpp:693
#15 0x00007f092cb43d8f in QAbstractAnimation::setCurrentTime (this=this@entry=0x3166f50, msecs=130) at animation/qabstractanimation.cpp:1321
#16 0x00007f092cb44076 in updateAnimationsTime (delta=20, this=0x234ea40) at animation/qabstractanimation.cpp:606
#17 QUnifiedTimer::updateAnimationTimers (this=0x232c700) at animation/qabstractanimation.cpp:323
#18 0x00007f092cb444dc in QAnimationDriver::advanceAnimation (this=<optimized out>, timeStep=-1) at animation/qabstractanimation.cpp:820
#19 0x00007f090674b23e in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#20 0x00007f090676941a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#21 0x00007f090676b7eb in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#22 0x00007f090676c06a in ?? () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#23 0x00007f092d5d3485 in QWindow::event (this=0x2715ca0, ev=<optimized out>) at kernel/qwindow.cpp:2046
#24 0x00007f090679d0e3 in QQuickWindow::event(QEvent*) () from /usr/lib/x86_64-linux-gnu/libQt5Quick.so.5
#25 0x00007f092db80d3c in QApplicationPrivate::notify_helper (this=0x2174780, receiver=0x2715ca0, e=0x7fffaa4eeac0) at kernel/qapplication.cpp:3722
#26 0x00007f092db86330 in QApplication::notify (this=0x7fffaa4eeec0, receiver=0x2715ca0, e=0x7fffaa4eeac0) at kernel/qapplication.cpp:3505
#27 0x00007f092cda303b in QCoreApplication::notifyInternal (this=0x7fffaa4eeec0, receiver=receiver@entry=0x2715ca0, event=event@entry=0x7fffaa4eeac0) at kernel/qcoreapplication.cpp:932
#28 0x00007f092d5cbc86 in sendSpontaneousEvent (event=0x7fffaa4eeac0, receiver=0x2715ca0) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#29 QGuiApplicationPrivate::processExposeEvent (e=0x2d6be50) at kernel/qguiapplication.cpp:2635
#30 0x00007f092d5cc90d in QGuiApplicationPrivate::processWindowSystemEvent (e=e@entry=0x2d6be50) at kernel/qguiapplication.cpp:1663
#31 0x00007f092d5b209f in QWindowSystemInterface::sendWindowSystemEvents (flags=...) at kernel/qwindowsysteminterface.cpp:572
#32 0x00007f0921f4eff0 in userEventSourceDispatch (source=<optimized out>) at eventdispatchers/qeventdispatcher_glib.cpp:70
#33 0x00007f0929c32c5d in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007f0929c32f48 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007f0929c32ffc in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#36 0x00007f092cdfa277 in QEventDispatcherGlib::processEvents (this=0x21de3a0, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#37 0x00007f092cda08d2 in QEventLoop::exec (this=this@entry=0x7fffaa4eeda0, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#38 0x00007f092cda837c in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1185
#39 0x00007f092d5c2bcc in QGuiApplication::exec () at kernel/qguiapplication.cpp:1535
#40 0x00007f092db7cdf5 in QApplication::exec () at kernel/qapplication.cpp:2956
#41 0x000000000040e81c in main (argc=1, argv=<optimized out>) at ../../app/main.cpp:54

Reported using DrKonqi
Comment 1 Thomas Lübking 2015-02-17 22:06:37 UTC
Looks like a failed "bridge" argument, ie. unresolved qml (include) - thus nullptr bridge. 
Likely Previews.qml?

can you install the "-dbg" packages for kdecoration and breeze packages?

Does this also happen when running
kcmshell5 kwindecoration

and if so, what's the output of
   strace kcmshell5 kwindecoration 2>&1 | grep -i previews.qml

(if not, try
   strace systemsettings5 2>&1 | grep -i previews.qml
instead)
Comment 2 Thomas Lübking 2015-02-25 11:44:54 UTC
*** Bug 344545 has been marked as a duplicate of this bug. ***
Comment 3 Thomas Lübking 2015-02-25 11:45:25 UTC
requirement from dupe:

in case you are able to reproduce, please install debug symbols for breeze and kdecoration and best also QtQuick.
Comment 4 Thomas Lübking 2015-03-24 21:35:54 UTC
*** Bug 345465 has been marked as a duplicate of this bug. ***
Comment 5 Thomas Lübking 2015-04-16 20:05:23 UTC
*** Bug 346269 has been marked as a duplicate of this bug. ***
Comment 6 Thomas Lübking 2015-04-16 20:05:30 UTC
*** Bug 346204 has been marked as a duplicate of this bug. ***
Comment 7 Thomas Lübking 2015-04-16 20:08:49 UTC
*** Bug 345706 has been marked as a duplicate of this bug. ***
Comment 8 Thomas Lübking 2015-04-16 20:14:36 UTC
*** Bug 345923 has been marked as a duplicate of this bug. ***
Comment 9 Børre Gaup 2015-04-16 20:21:47 UTC
This is the output of kcmshell5 kwindecoration
kf5.kiconthemes: "Theme tree: (Oxygen)"
kf5.kservice.sycoca: Trying to open ksycoca from "/home/boerre/.cache/ksycoca5"
Plugin changed to:  "org.kde.breeze"
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/breezedecoration.so" instead of kservice_desktop_to_json() in your CMake code.
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so" instead of kservice_desktop_to_json() in your CMake code.
Factory:  true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
file:///usr/share/kwin/kcm_kwindecoration/Previews.qml:34:20: Unable to assign [undefined] to QColor
file:///usr/share/kwin/kcm_kwindecoration/Buttons.qml:41:16: Unable to assign [undefined] to QColor
file:///usr/share/kwin/kcm_kwindecoration/Buttons.qml:53:24: Unable to assign [undefined] to QColor
file:///usr/share/kwin/kcm_kwindecoration/Buttons.qml:145: ReferenceError: iconLabel is not defined
file:///usr/share/kwin/kcm_kwindecoration/Buttons.qml:193:24: Unable to assign [undefined] to QColor
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/breezedecoration.so" instead of kservice_desktop_to_json() in your CMake code.
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so" instead of kservice_desktop_to_json() in your CMake code.
Plugin changed to:  "org.kde.breeze"
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/breezedecoration.so" instead of kservice_desktop_to_json() in your CMake code.
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so" instead of kservice_desktop_to_json() in your CMake code.
Factory:  true
Setting  width : -8
Setting  height : -29
Setting  width : -34
Setting  height : -55
Setting  width : -8
Setting  height : -29
Setting  width : -34
Setting  height : -55
Setting  height : 145
Setting  height : 145
Setting  caption : "org.kde.breeze"
Setting  width : -58
Setting  height : 115
Setting  height : 121
Setting  caption : "org.kde.breeze"
Setting  active : false
Setting  width : -64
Setting  width : -58
Setting  height : 121
Plugin changed to:  "org.kde.kwin.aurorae"
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/breezedecoration.so" instead of kservice_desktop_to_json() in your CMake code.
Constructing a KPluginInfo object from old style JSON. Please use kcoreaddons_desktop_to_json() for "/usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so" instead of kservice_desktop_to_json() in your CMake code.
Factory:  true
Module 'org.kde.kwin.decoration' does not contain a module identifier directive - it cannot be protected from external registrations.
aurorae: No button for:  "alldesktops"
aurorae: No button for:  "keepabove"
aurorae: No button for:  "keepbelow"
aurorae: No button for:  "shade"
aurorae: No button for:  "help"
Setting  width : -8
Setting  height : -26
Setting  width : -26
Setting  height : -43
aurorae: No button for:  "alldesktops"
aurorae: No button for:  "keepabove"
aurorae: No button for:  "keepbelow"
aurorae: No button for:  "shade"
aurorae: No button for:  "help"
Setting  width : -8
Setting  height : -26
Setting  width : -26
Setting  height : -43
Setting  height : 157
Setting  height : 157
Setting  caption : "NewAir"
Setting  width : -27
Setting  width : -58
Setting  height : 125
Setting  height : 124
Setting  caption : "NewAir"
Setting  active : false
Setting  width : -57
Setting  width : -58
Setting  height : 155
Setting  height : 124
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  width : 402
Setting  width : 402
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
Setting  active : false
Setting  providesContextHelp : true
KCrash: crashing... crashRecursionCounter = 2
KCrash: Application Name = kcmshell5 path = /usr/bin pid = 9255
KCrash: Arguments: /usr/bin/kcmshell5 
KCrash: Attempting to start /usr/lib/x86_64-linux-gnu/libexec/drkonqi from kdeinit
sock_file=/run/user/1002/kdeinit5__0

strace kcmshell5 kwindecoration 2>&1 | grep -i previews.qml
write(2, "file:///usr/share/kwin/kcm_kwind"..., 101file:///usr/share/kwin/kcm_kwindecoration/Previews.qml:34:20: Unable to assign [undefined] to QColor
Comment 10 Thomas Lübking 2015-04-22 17:00:44 UTC
*** Bug 346461 has been marked as a duplicate of this bug. ***
Comment 11 Børre Gaup 2015-04-22 17:09:12 UTC
I installed Plasma 5.3 Beta on Kubuntu 15.04, and this problem is fixed on my machine.
kinfocenter reports this version info:
KDE Plasma Version: 5.2.95
Qt Version: 5.4.1
Kernel version: 3.19.0-15
OS Type: 64-bit
Comment 12 Børre Gaup 2015-04-22 18:23:08 UTC
I was too fast in reporting success, systemsettings5 still crashes when it tries to make a preview of a few aurorae decorations.

Before the upgrade the systemsettings5 crashed immediately when I pressed Window Decorations. After the upgrade I was able to open the Window Decorations part without it crashing and I switched to the oxygen windows decoration.

I have a lot of aurorae decorations installed through the GHNS-plugin. 

This is a listing of ~/.local/share/aurorae/themes
air-oxygen
glowglass-deco
PlasmaNext-windowdecoration-ideas
ambiance
light
seven
cupertino
nano-deco
Tenuto-Light
Diamond
NewAir
Tenuto-Light-ActiveStrong
ElementaryLunaAurorae
olympic
transparent-oxygen-deco
Ember
osx
whiteglass-white-deco
glowglass-cupertino
perfection

Later, I went back to Window Decoration and browsed through these decorations. I scrolled down a screenfull at a time and after a while systemsettings5 crashed. I tried this a few times, and the same thing happened every time.

I also tried another approach. I grabbed the scrollbar in the preview view of Window Decorations and pulled it to the bottom of the preview without systemsettings5 crashing.
Then I scrolled up a screenfull at a time. After a while systemsettings5 crashed again.

When Window Decorations made previews for certain decorations it crashed, so I removed one decoration at a time that provoked crashes.

After having removed those decorations from ~/.local/share/aurorae/themes systemsettings5 stopped crashing. I was able to scroll up and down a screenfull at a time without crashes.

These are the decorations that seemed provoked crashes:
glowglass-cupertino
olympic
whiteglass-white-deco
glowglass-deco
transparent-oxygen-deco

Even though I was able to browse up and down in Window Decorations without a crash, systemsettings5 crashed when I closed the window. 

This is the traceback from that crash:
Application: Vuogádatheivehus (systemsettings5), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f0315590780 (LWP 7143))]

Thread 2 (Thread 0x7f0302b39700 (LWP 7144)):
#0  0x00007f0311d048dd in poll () at ../sysdeps/unix/syscall-template.S:81
#1  0x00007f031001eb72 in  () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#2  0x00007f031002064f in xcb_wait_for_event () at /usr/lib/x86_64-linux-gnu/libxcb.so.1
#3  0x00007f03058fd099 in QXcbEventReader::run() (this=0x2618a70) at qxcbconnection.cpp:1105
#4  0x00007f0312385b0e in QThreadPrivate::start(void*) (arg=0x2618a70) at thread/qthread_unix.cpp:337
#5  0x00007f030ef386aa in start_thread (arg=0x7f0302b39700) at pthread_create.c:333
#6  0x00007f0311d0feed in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:109

Thread 1 (Thread 0x7f0315590780 (LWP 7143)):
[KCrash Handler]
#6  0x00007f031126cf97 in  () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#7  0x00007f0311217151 in QV4::ExecutionEngine::~ExecutionEngine() () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#8  0x00007f031134f0d5 in QV8Engine::~QV8Engine() () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#9  0x00007f031134f2b9 in QV8Engine::~QV8Engine() () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#10 0x00007f03111b4061 in QJSEngine::~QJSEngine() () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#11 0x00007f03112b13c5 in QQmlEngine::~QQmlEngine() () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#12 0x00007f03112b1499 in QQmlEngine::~QQmlEngine() () at /usr/lib/x86_64-linux-gnu/libQt5Qml.so.5
#13 0x00007f02eb840242 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so
#14 0x00007f02eb8443f8 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so
#15 0x00007f02eb844419 in  () at /usr/lib/x86_64-linux-gnu/qt5/plugins/org.kde.kdecoration2/kwin5_aurorae.so
#16 0x00007f03125f5778 in QObject::event(QEvent*) (this=0x3ff22a0, e=<optimized out>) at kernel/qobject.cpp:1236
#17 0x00007f03133afb2c in QApplicationPrivate::notify_helper(QObject*, QEvent*) (this=0x25eb550, receiver=0x3ff22a0, e=0x40e6fd0) at kernel/qapplication.cpp:3720
#18 0x00007f03133b5000 in QApplication::notify(QObject*, QEvent*) (this=0x7ffc2a174d50, receiver=0x3ff22a0, e=0x40e6fd0) at kernel/qapplication.cpp:3503
#19 0x00007f03125c3c2b in QCoreApplication::notifyInternal(QObject*, QEvent*) (this=0x7ffc2a174d50, receiver=0x3ff22a0, event=event@entry=0x40e6fd0) at kernel/qcoreapplication.cpp:935
#20 0x00007f03125c5c9b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (event=0x40e6fd0, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:228
#21 0x00007f03125c5c9b in QCoreApplicationPrivate::sendPostedEvents(QObject*, int, QThreadData*) (receiver=receiver@entry=0x0, event_type=event_type@entry=0, data=0x25ea770) at kernel/qcoreapplication.cpp:1552
#22 0x00007f03125c6298 in QCoreApplication::sendPostedEvents(QObject*, int) (receiver=receiver@entry=0x0, event_type=event_type@entry=0) at kernel/qcoreapplication.cpp:1410
#23 0x00007f031261c843 in postEventSourceDispatch(GSource*, GSourceFunc, gpointer) (s=0x265d2a0) at kernel/qeventdispatcher_glib.cpp:271
#24 0x00007f030ea19c3d in g_main_context_dispatch (context=0x7f02fc001710) at /build/buildd/glib2.0-2.44.0/./glib/gmain.c:3122
#25 0x00007f030ea19c3d in g_main_context_dispatch (context=context@entry=0x7f02fc001710) at /build/buildd/glib2.0-2.44.0/./glib/gmain.c:3737
#26 0x00007f030ea19f20 in g_main_context_iterate (context=context@entry=0x7f02fc001710, block=block@entry=1, dispatch=dispatch@entry=1, self=<optimized out>) at /build/buildd/glib2.0-2.44.0/./glib/gmain.c:3808
#27 0x00007f030ea19fcc in g_main_context_iteration (context=0x7f02fc001710, may_block=1) at /build/buildd/glib2.0-2.44.0/./glib/gmain.c:3869
#28 0x00007f031261cc57 in QEventDispatcherGlib::processEvents(QFlags<QEventLoop::ProcessEventsFlag>) (this=0x2666920, flags=...) at kernel/qeventdispatcher_glib.cpp:418
#29 0x00007f03125c13e2 in QEventLoop::exec(QFlags<QEventLoop::ProcessEventsFlag>) (this=this@entry=0x7ffc2a174c30, flags=..., flags@entry=...) at kernel/qeventloop.cpp:204
#30 0x00007f03125c902c in QCoreApplication::exec() () at kernel/qcoreapplication.cpp:1188
#31 0x00007f0312dea31c in QGuiApplication::exec() () at kernel/qguiapplication.cpp:1510
#32 0x00007f03133ab7a5 in QApplication::exec() () at kernel/qapplication.cpp:2956
#33 0x000000000040ef5b in main(int, char**) (argc=1, argv=<optimized out>) at ../../app/main.cpp:55
Comment 13 Thomas Lübking 2015-04-22 19:09:27 UTC
That's bug #344942
Comment 14 Christoph Feck 2015-04-25 08:44:25 UTC
*** Bug 346582 has been marked as a duplicate of this bug. ***
Comment 15 Christoph Feck 2015-04-25 08:44:47 UTC
*** Bug 346623 has been marked as a duplicate of this bug. ***
Comment 16 Christoph Feck 2015-04-28 10:41:58 UTC
*** Bug 346645 has been marked as a duplicate of this bug. ***
Comment 17 Christoph Feck 2015-04-28 10:42:19 UTC
*** Bug 346682 has been marked as a duplicate of this bug. ***
Comment 18 Christoph Feck 2015-04-28 10:42:40 UTC
*** Bug 346694 has been marked as a duplicate of this bug. ***
Comment 19 Christoph Feck 2015-04-28 10:43:02 UTC
*** Bug 346720 has been marked as a duplicate of this bug. ***
Comment 20 Christoph Feck 2015-04-28 10:43:22 UTC
*** Bug 346816 has been marked as a duplicate of this bug. ***
Comment 21 Christoph Feck 2015-04-28 10:43:46 UTC
*** Bug 346829 has been marked as a duplicate of this bug. ***
Comment 22 Christoph Feck 2015-04-29 00:27:44 UTC
*** Bug 346490 has been marked as a duplicate of this bug. ***
Comment 23 Christoph Feck 2015-05-02 23:53:36 UTC
*** Bug 346939 has been marked as a duplicate of this bug. ***
Comment 24 Christoph Feck 2015-05-02 23:53:59 UTC
*** Bug 347002 has been marked as a duplicate of this bug. ***
Comment 25 Thomas Lübking 2015-05-03 08:31:00 UTC
last two dupes are on 5.3
Comment 26 Christoph Feck 2015-05-09 19:13:36 UTC
*** Bug 347090 has been marked as a duplicate of this bug. ***
Comment 27 Christoph Feck 2015-05-09 19:13:53 UTC
*** Bug 347091 has been marked as a duplicate of this bug. ***
Comment 28 Christoph Feck 2015-05-09 19:14:10 UTC
*** Bug 347193 has been marked as a duplicate of this bug. ***
Comment 29 Christoph Feck 2015-05-09 19:14:29 UTC
*** Bug 347279 has been marked as a duplicate of this bug. ***
Comment 30 Christoph Feck 2015-05-09 19:14:48 UTC
*** Bug 347398 has been marked as a duplicate of this bug. ***
Comment 31 Christoph Feck 2015-05-16 17:02:47 UTC
*** Bug 347522 has been marked as a duplicate of this bug. ***
Comment 32 Christoph Feck 2015-05-16 17:03:08 UTC
*** Bug 347561 has been marked as a duplicate of this bug. ***
Comment 33 Christoph Feck 2015-05-16 17:03:24 UTC
*** Bug 347680 has been marked as a duplicate of this bug. ***
Comment 34 Christoph Feck 2015-05-16 17:03:39 UTC
*** Bug 347771 has been marked as a duplicate of this bug. ***
Comment 35 Christoph Feck 2015-05-23 14:37:43 UTC
*** Bug 348142 has been marked as a duplicate of this bug. ***
Comment 36 Christoph Feck 2015-05-31 13:55:05 UTC
*** Bug 348287 has been marked as a duplicate of this bug. ***
Comment 37 Christoph Feck 2015-05-31 13:55:25 UTC
*** Bug 348294 has been marked as a duplicate of this bug. ***
Comment 38 Christoph Feck 2015-05-31 13:55:43 UTC
*** Bug 348498 has been marked as a duplicate of this bug. ***
Comment 39 Christoph Feck 2015-05-31 18:57:09 UTC
*** Bug 348379 has been marked as a duplicate of this bug. ***
Comment 40 Christoph Feck 2015-06-07 09:56:19 UTC
*** Bug 348572 has been marked as a duplicate of this bug. ***
Comment 41 Christoph Feck 2015-06-07 09:56:37 UTC
*** Bug 348669 has been marked as a duplicate of this bug. ***
Comment 42 Christoph Feck 2015-06-07 09:56:52 UTC
*** Bug 348816 has been marked as a duplicate of this bug. ***
Comment 43 Christoph Feck 2015-06-16 17:24:33 UTC
*** Bug 348832 has been marked as a duplicate of this bug. ***
Comment 44 Christoph Feck 2015-06-23 22:34:18 UTC
*** Bug 349300 has been marked as a duplicate of this bug. ***
Comment 45 Christoph Feck 2015-06-23 22:34:37 UTC
*** Bug 349305 has been marked as a duplicate of this bug. ***
Comment 46 Christoph Feck 2015-07-10 14:17:50 UTC
*** Bug 349511 has been marked as a duplicate of this bug. ***
Comment 47 Christoph Feck 2015-07-10 14:18:12 UTC
*** Bug 349927 has been marked as a duplicate of this bug. ***
Comment 48 Christoph Feck 2015-07-10 14:18:32 UTC
*** Bug 350063 has been marked as a duplicate of this bug. ***
Comment 49 Christoph Feck 2015-07-10 14:18:49 UTC
*** Bug 350084 has been marked as a duplicate of this bug. ***
Comment 50 Thomas Lübking 2015-07-23 13:00:18 UTC
*** Bug 350545 has been marked as a duplicate of this bug. ***
Comment 51 Christoph Feck 2015-07-28 11:39:11 UTC
*** Bug 350150 has been marked as a duplicate of this bug. ***
Comment 52 Christoph Feck 2015-07-28 11:39:33 UTC
*** Bug 350265 has been marked as a duplicate of this bug. ***
Comment 53 Christoph Feck 2015-07-28 11:39:53 UTC
*** Bug 350358 has been marked as a duplicate of this bug. ***
Comment 54 Christoph Feck 2015-07-28 11:40:13 UTC
*** Bug 350442 has been marked as a duplicate of this bug. ***
Comment 55 Christoph Feck 2015-07-28 11:40:33 UTC
*** Bug 350580 has been marked as a duplicate of this bug. ***
Comment 56 Christoph Feck 2015-07-28 11:41:00 UTC
*** Bug 350662 has been marked as a duplicate of this bug. ***
Comment 57 Christoph Feck 2015-08-02 09:29:13 UTC
*** Bug 350847 has been marked as a duplicate of this bug. ***
Comment 58 Christoph Feck 2015-08-13 00:07:45 UTC
*** Bug 350889 has been marked as a duplicate of this bug. ***
Comment 59 Christoph Feck 2015-08-13 00:08:04 UTC
*** Bug 350925 has been marked as a duplicate of this bug. ***
Comment 60 Christoph Feck 2015-08-13 00:08:31 UTC
*** Bug 351002 has been marked as a duplicate of this bug. ***
Comment 61 Christoph Feck 2015-08-22 14:40:24 UTC
*** Bug 351510 has been marked as a duplicate of this bug. ***
Comment 62 Christoph Feck 2015-08-22 14:40:43 UTC
*** Bug 351389 has been marked as a duplicate of this bug. ***
Comment 63 Christoph Feck 2015-08-22 14:41:02 UTC
*** Bug 351357 has been marked as a duplicate of this bug. ***
Comment 64 Christoph Feck 2015-08-22 14:41:32 UTC
*** Bug 351342 has been marked as a duplicate of this bug. ***
Comment 65 Christoph Feck 2015-08-22 14:42:22 UTC
*** Bug 351477 has been marked as a duplicate of this bug. ***
Comment 66 Christoph Feck 2015-09-03 09:14:35 UTC
*** Bug 351728 has been marked as a duplicate of this bug. ***
Comment 67 Christoph Feck 2015-09-03 09:15:01 UTC
*** Bug 351903 has been marked as a duplicate of this bug. ***
Comment 68 Christoph Feck 2015-09-03 09:15:33 UTC
*** Bug 352032 has been marked as a duplicate of this bug. ***
Comment 69 Christoph Feck 2015-09-03 09:15:58 UTC
*** Bug 352079 has been marked as a duplicate of this bug. ***
Comment 70 Christoph Feck 2015-09-03 09:16:23 UTC
*** Bug 352169 has been marked as a duplicate of this bug. ***
Comment 71 Christoph Feck 2015-09-03 09:16:48 UTC
*** Bug 352202 has been marked as a duplicate of this bug. ***
Comment 72 Shawn 2015-09-13 04:08:45 UTC
Does anyone know how to change this via a config file or terminal or something?  I was able to actually change my window decoration before the system settings started crashing, and now I cannot change it back because it keeps crashing when I try.
Comment 73 Thomas Lübking 2015-09-13 06:21:43 UTC
~/.config/kwinrc, [org.kde.kdecoration2] section, "library" key.

If you're rather running into bug #344942 (comment #8):
Aurorae themes are stored in ~/.local/share/aurorae/themes/
You can either remove the offending themes there or move away the entire folder.
Afterwards, "kcmshell5 kwindecoration" should not crash anymore.
Comment 74 Shawn 2015-09-13 12:31:45 UTC
(In reply to Thomas Lübking from comment #73)
> ~/.config/kwinrc, [org.kde.kdecoration2] section, "library" key.
> 
> If you're rather running into bug #344942 (comment #8):
> Aurorae themes are stored in ~/.local/share/aurorae/themes/
> You can either remove the offending themes there or move away the entire
> folder.
> Afterwards, "kcmshell5 kwindecoration" should not crash anymore.

For some reason, this is not working for me.  If I remove the individual theme folder, the next time I try to log in, I get a black screen with a cursor.  If I remove the entire aurorea folder, I can log in again, but the dust theme is still set on my windows.

Either way, the system settings still crashes for me.  The only thing that I can think is that I managed to actually change the system theme to the problem theme prior to it crashing, which seems to be different than what other people are saying.  They are using a normal theme, so they can simply remove the guilty theme.  Any suggestions welcome.
Comment 75 Thomas Lübking 2015-09-13 12:35:33 UTC
Crash with what exact backtrace?

The "dust" theme might be installed globally (/usr/share/apps/aurorae or similar)?
Comment 76 Shawn 2015-09-13 17:10:15 UTC
okay, i did a big no-no and it worked for me.  i started the system settings in sudo, and was able to change it (never do this, kids).  Restarting the system and all is back to normal.  I still had to remove the aurorea themes listed by going into the hot stuff button and "uninstalling them", even though I had already removed the directory.  Strange, but problem solved kinda.  Thank you!
Comment 77 Thomas Lübking 2015-09-13 17:17:46 UTC
a) you cannot start systemsettings in "sudo" - kdesu or ksudo would work, otherwise you'd have to forward and setup a lot of environment
b) running systemsettings for the root user should never be required (don't work as root ever), but is not harmful
c) making changes to the root user configuration has *no* impact on the configuration for all other users

I assume
> Restarting the system
will have been the crucial part

Stupid question: are you perhaps on KDE4?
Comment 78 Shawn 2015-09-13 19:01:32 UTC
Thomas, I assume you are knowledgeable, but:

a. please don't call me a liar
b. please don't pander to me like I am a simpleton
c. I realize that it does not make sense, but it worked for some reason.  

No, plasma 5.  Also, of course I restarted the computer many times prior to that.  The change happened before the restart.  I restarted the computer to make sure the system was still fine after the restart.

Anyway, after all that, I appreciate the help.
Comment 79 Thomas Lübking 2015-09-13 19:42:55 UTC
I didn't intend any of this.

On (a) I assume an imprcision on your side, please notice that others may try to follow this and be frustrated because they fail to call "sudo systemsetting", so I wanted to clarify this.

On (b) you suggested FUD, I had to remark that this is not dangerous in any way

For (c) I just wanted point out why I doubt this has anything to do with the resolution (and back the assumption that rather the restart did)

Since the restart seems to not have been it either, the global ksycoca database might have been garbled (and the root invocation of systemsettings "fixed" that as a side effect)

What I do not understand is why the removed decos were still listed (unless there were global copies from eg. a root login?)
Comment 80 Shawn 2015-09-13 19:55:17 UTC
What I do not understand is why the removed decos were still listed (unless there were global copies from eg. a root login?)

Yes, I do not know.  I don't ever log in as root, so it isn't that.
Comment 81 Christoph Feck 2015-09-23 13:21:08 UTC
*** Bug 350126 has been marked as a duplicate of this bug. ***
Comment 82 Christoph Feck 2015-09-23 14:44:57 UTC
*** Bug 352486 has been marked as a duplicate of this bug. ***
Comment 83 Christoph Feck 2015-09-23 14:45:28 UTC
*** Bug 352793 has been marked as a duplicate of this bug. ***
Comment 84 Christoph Feck 2015-09-23 14:45:57 UTC
*** Bug 352871 has been marked as a duplicate of this bug. ***
Comment 85 Christoph Feck 2015-09-23 14:46:19 UTC
*** Bug 352995 has been marked as a duplicate of this bug. ***
Comment 86 Christoph Feck 2015-09-23 14:46:40 UTC
*** Bug 353046 has been marked as a duplicate of this bug. ***
Comment 87 Christoph Feck 2015-09-29 14:04:47 UTC
*** Bug 349041 has been marked as a duplicate of this bug. ***
Comment 88 Christoph Feck 2015-10-10 21:41:32 UTC
*** Bug 353416 has been marked as a duplicate of this bug. ***
Comment 89 Christoph Feck 2015-10-10 21:41:55 UTC
*** Bug 353546 has been marked as a duplicate of this bug. ***
Comment 90 Martin Flöser 2015-10-19 16:46:38 UTC
I'm able to reproduce the issue. It's caused by a property animation on opacity in breeze decoration. I don't understand why, though.
Comment 91 Thomas Lübking 2015-10-19 22:36:46 UTC
See comment #1 - if you can reproduce it (at will), just debug-out check "bridge" - Q_UNREACHABLE only asserts in debug builds.

Could be "somehow" timing related, at least the inactive breeze deco fades out here, but I've so far not reproduced the segfault (not even on 500ms timers)


An aternative explanation could be the coarse timer in QVariantAnimation delivering updates to deleted objects, but I would expect more random backtraces (because the breeze deco also re-writes the m_opacity member before calling into update())
Comment 92 Martin Flöser 2015-10-20 06:05:43 UTC
> See comment #1 - if you can reproduce it (at will), just debug-out check "bridge" - Q_UNREACHABLE only asserts in debug builds.

I added a debug statement in the dtor of PreviewBridge and just before the segfault I got that hit.
Comment 93 Martin Flöser 2015-10-21 06:11:04 UTC
Git commit 484e4be7f66b6f6d4021f6adb4f43531df9649c5 by Martin Gräßlin.
Committed on 20/10/2015 at 12:33.
Pushed by graesslin into branch 'Plasma/5.4'.

[kcmkwin/deco] Delay deleting of PreviewBridge

Our decoration is deleted using deleteLater() and that might cause access
to the bridge. Given that we also need to deleteLater() the
PreviewBridge.

To do so the PreviewBridge is no longer directly exposed to QML, but
in a wrapper object which holds the bridge as only element.
FIXED-IN: 5.4.3
REVIEW: 125724

M  +2    -1    kcmkwin/kwindecoration/declarative-plugin/plugin.cpp
M  +14   -0    kcmkwin/kwindecoration/declarative-plugin/previewbridge.cpp
M  +42   -0    kcmkwin/kwindecoration/declarative-plugin/previewbridge.h
M  +1    -1    kcmkwin/kwindecoration/qml/ButtonGroup.qml
M  +2    -2    kcmkwin/kwindecoration/qml/Buttons.qml
M  +4    -4    kcmkwin/kwindecoration/qml/Previews.qml

http://commits.kde.org/kwin/484e4be7f66b6f6d4021f6adb4f43531df9649c5
Comment 94 Shawn 2015-10-21 12:31:04 UTC
ty
Comment 95 Christoph Feck 2015-10-21 20:30:04 UTC
*** Bug 353862 has been marked as a duplicate of this bug. ***
Comment 96 Christoph Feck 2015-10-31 00:54:31 UTC
*** Bug 354399 has been marked as a duplicate of this bug. ***
Comment 97 Christoph Feck 2015-10-31 00:54:56 UTC
*** Bug 354609 has been marked as a duplicate of this bug. ***
Comment 98 Christoph Feck 2015-10-31 00:55:24 UTC
*** Bug 354624 has been marked as a duplicate of this bug. ***
Comment 99 Thomas Lübking 2015-11-05 09:00:50 UTC
*** Bug 354878 has been marked as a duplicate of this bug. ***
Comment 100 Christoph Feck 2015-11-16 01:16:45 UTC
*** Bug 354712 has been marked as a duplicate of this bug. ***
Comment 101 Christoph Feck 2015-11-16 01:17:07 UTC
*** Bug 355113 has been marked as a duplicate of this bug. ***
Comment 102 Christoph Feck 2015-11-16 01:17:40 UTC
*** Bug 355125 has been marked as a duplicate of this bug. ***
Comment 103 Christoph Feck 2015-11-16 01:18:10 UTC
*** Bug 355222 has been marked as a duplicate of this bug. ***
Comment 104 Christoph Feck 2015-12-03 13:10:06 UTC
*** Bug 355542 has been marked as a duplicate of this bug. ***
Comment 105 Christoph Feck 2015-12-03 13:10:30 UTC
*** Bug 355613 has been marked as a duplicate of this bug. ***
Comment 106 Christoph Feck 2015-12-03 13:10:56 UTC
*** Bug 355692 has been marked as a duplicate of this bug. ***
Comment 107 Christoph Feck 2015-12-03 13:11:18 UTC
*** Bug 355712 has been marked as a duplicate of this bug. ***
Comment 108 Christoph Feck 2015-12-03 13:11:41 UTC
*** Bug 356126 has been marked as a duplicate of this bug. ***
Comment 109 Christoph Feck 2015-12-05 02:16:54 UTC
*** Bug 356281 has been marked as a duplicate of this bug. ***
Comment 110 Myriam Schweingruber 2015-12-27 20:30:24 UTC
*** Bug 357148 has been marked as a duplicate of this bug. ***
Comment 111 Myriam Schweingruber 2015-12-27 20:34:03 UTC
*** Bug 357203 has been marked as a duplicate of this bug. ***
Comment 112 Christoph Feck 2016-01-27 05:22:13 UTC
*** Bug 358616 has been marked as a duplicate of this bug. ***
Comment 113 Christoph Feck 2016-05-16 11:58:21 UTC
*** Bug 359326 has been marked as a duplicate of this bug. ***
Comment 114 Christoph Feck 2016-05-16 11:58:36 UTC
*** Bug 363083 has been marked as a duplicate of this bug. ***